var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconIIntentionRecognitionComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-iIntention-recognition").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 20 20" }, rest, { ref: ref }),
        React.createElement("rect", { width: "20", height: "20", fill: useCurrentColor ? 'currentColor' : '#FBA924', rx: "6" }),
        React.createElement("g", { clipPath: "url(#svg_2da2e9611f__svg_e3a26af052__clip0_23494_1035451)" },
            React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#FAFBFC', fillRule: "evenodd", d: "M16.1355 9.05033C16.1355 10.9469 15.1605 12.6157 13.6845 13.5829V16.3624H7.66658V14.4655H6.09842C5.7259 14.4655 5.42392 14.1635 5.42392 13.791V11.8603H4.62977C4.14363 11.8603 3.81714 11.3616 4.01156 10.9161L5.61239 7.24747C6.35516 5.14306 8.3616 3.63512 10.7202 3.63512C13.711 3.63512 16.1355 6.05957 16.1355 9.05033ZM10.6377 7.23096C10.3804 7.17406 10.2178 6.91929 10.2747 6.66191C10.3317 6.40454 10.5864 6.24202 10.8438 6.29893C13.3641 6.85614 14.0148 9.82353 12.2981 11.4592C11.9377 11.8026 11.4373 11.9852 10.9667 12.0691C10.4891 12.1542 9.98348 12.1484 9.56006 12.0649C7.86927 11.7318 7.06483 9.89338 7.91267 8.62162C8.35674 7.95551 9.04379 7.79152 9.65068 7.9099C10.2287 8.02264 10.7742 8.39286 11.0723 8.8615C11.2138 9.0839 11.1482 9.37889 10.9257 9.52036C10.7033 9.66183 10.4084 9.59622 10.2669 9.37381C10.1143 9.13389 9.7981 8.91119 9.46793 8.84679C9.16669 8.78803 8.89919 8.86267 8.7069 9.15111C8.28202 9.78844 8.63925 10.9106 9.7446 11.1284C10.047 11.188 10.4332 11.1946 10.7992 11.1293C11.1721 11.0629 11.4671 10.9325 11.6397 10.7681C12.8353 9.62893 12.369 7.61373 10.6377 7.23096Z", clipRule: "evenodd" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "svg_2da2e9611f__svg_e3a26af052__clip0_23494_1035451" },
                React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', transform: "translate(3 3)", d: "M0 0H14V14H0z" }))));
}
var IconIIntentionRecognition = React.forwardRef(IconIIntentionRecognitionComponent);
export default IconIIntentionRecognition;
